Bug 1878603 - Ensure NMO uses operator-sdk >= v0.13.0 for updated leader election
Summary: Ensure NMO uses operator-sdk >= v0.13.0 for updated leader election
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node Maintenance Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Marc Sluiter
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On: 1749620 1805019
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-14 06:42 UTC by Andrew Beekhof
Modified: 2021-02-06 07:08 UTC (History)
16 users (show)

Fixed In Version: NMO 0.7.0 / CNV 2.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1749620
Environment:
Last Closed: 2020-10-27 16:40:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:41:01 UTC

Comment 1 Marc Sluiter 2020-09-14 07:17:27 UTC
NMO v0.7.0 (to be released with CNV 2.5) already uses operator-sdk 0.18.2 [0] and switched to leader-with-lease [1], so we are fine here.

[0] https://github.com/kubevirt/node-maintenance-operator/blob/release-0.7/go.mod#L10
[1] https://github.com/kubevirt/node-maintenance-operator/pull/117

Comment 3 Andrew Beekhof 2020-09-30 12:36:47 UTC
Gary: When the NMO starts, at the start it will report the operator SDK version.

Comment 4 gharden 2020-09-30 13:58:42 UTC
{"level":"info","ts":1601301253.1651402,"logger":"cmd","msg":"Version of operator-sdk: v0.18.2"}

Comment 5 gharden 2020-09-30 17:05:02 UTC
Cluster Version: 4.6.0-0.nightly-2020-09-24-162403

Operator Version: kubevirt-hyperconverged-operator.v2.5.0

Node Maintenance Operator Logs: 
{"level":"info","ts":1601301253.1650724,"logger":"cmd","msg":"Go Version: go1.13.4"}
{"level":"info","ts":1601301253.165135,"logger":"cmd","msg":"Go OS/Arch: linux/amd64"}
{"level":"info","ts":1601301253.1651402,"logger":"cmd","msg":"Version of operator-sdk: v0.18.2"}
{"level":"info","ts":1601301253.165144,"logger":"cmd","msg":"Operator Version: 0.7.0-2-g8265363"}

Comment 8 errata-xmlrpc 2020-10-27 16:40:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.